<mat-card>
  <mat-card-content>
    <div><h2>{{ data ? "Editar" : "Agregar" }} tarea</h2></div>
    <form [formGroup]="formGroup" (ngSubmit)="onSubmit()">
      <div>
        <mat-form-field appearance="fill">
          <mat-label>Titulo</mat-label>
          <input
            matInput
            formControlName="title"
            placeholder="Ingresa un titulo"
          />
        </mat-form-field>
      </div>
      <div>
        <mat-form-field appearance="fill">
          <mat-label>Descripcion</mat-label>
          <textarea
            matInput
            formControlName="description"
            placeholder="Ingresa una descripcion"
          ></textarea>
        </mat-form-field>
      </div>
      <div class="footer-buttons">
        <button mat-raised-button type="button" [mat-dialog-close]="false">
          Cancel
        </button>
        <button mat-raised-button type="submit">
          {{ data ? "Editar" : "Agregar" }}
        </button>
      </div>
    </form>
  </mat-card-content>
</mat-card>
